Bug 1755047 - [DOCS] vSphere & baremetal UPI documentation mentions static IP address without more details
Summary: [DOCS] vSphere & baremetal UPI documentation mentions static IP address witho...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.1.z
Assignee: Alex Dellapenta
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-24 15:46 UTC by Pedro Amoedo
Modified: 2020-02-11 10:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 11:50:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pedro Amoedo 2019-09-24 15:46:49 UTC
Document URLs: 

https://docs.openshift.com/container-platform/4.1/installing/installing_vsphere/installing-vsphere.html#network-connectivity_installing-vsphere

https://docs.openshift.com/container-platform/4.1/installing/installing_bare_metal/installing-bare-metal.html#network-connectivity_installing-bare-metal

Section Number and Name: 

Unknown

Describe the issue: 

Documentation mentions the following:

"All the Red Hat Enterprise Linux CoreOS (RHCOS) machines require network in initramfs during boot to fetch Ignition config files from the Machine Config Server. During the initial boot, the machines require a DHCP server in order to establish a network connection to download their Ignition config files. After the initial boot, the machines can be configured to use static IP addresses."

Suggestions for improvement: 

AFAIK, the static IP addresses is an unsupported configuration and the documentation should reflect that with some note, otherwise, it should have examples or an external link to more detailed steps.

Additional information: 

https://access.redhat.com/solutions/4175151

Comment 3 Alex Dellapenta 2019-10-24 20:08:59 UTC
Master + 4.1+ branch removal of static IP line: https://github.com/openshift/openshift-docs/pull/17577

4.1-only branch addition of future support note per PM chat: https://github.com/openshift/openshift-docs/pull/17592

Chris Negus will be working on 4.2+ support docs for bare metal and Kathryn Alexander will be working on 4.2+ support docs for vSphere.


Note You need to log in before you can comment on or make changes to this bug.